Subject: [internet-draft-draft] ParrotTalk: Anonymous P2P encryption

From: henry <[email-masked]>
Date: Thu, 02 Nov 2017 21:19:50 -0400

I have developed the ParrotTalk Protocol, and am starting an internet draft document [1] for submission to the process at IETF.

ParrotTalk Protocol is documented in part here[1], while I have two implementations: 1 in Squeak/Pharo [3 a/b] and the other in Java [4 a/b]. The particulars of MAC key and ivSequence derivation, as well as constrained traffic signing, are the implementations, yet missing from the specification. They will be added to the internet-draft.

How do I go about submitting a specification for ParrotTalk for IETF review and consideration?

Thank you.

- Robert

[1] IETF I-D draft - http://jmp.sh/VRejS2g

[2] ParrotTalk Frame Design - http://jmp.sh/OqlYpyg

[3 a] Squeak/Pharo Cryptography library - http://www.squeaksource.com/Cryptography/Cryptography-HenryHouse.113.mcz
[3 b] Squeak/Pharo ParrotTalk v3.6 - http://www.squeaksource.com/Cryptography/ParrotTalk-HenryHouse.9.mcz

[4 a] Java ASN1 framework - https://github.com/ZiroZimbarra/ASN1
[4 b] Java ParrotTalk v3.6 - https://github.com/ZiroZimbarra/ParrotTalk